package com.fos.modules.tableView.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

/**
 * Created by Tony on 8/4/2016.
 */
public class TableViewEntity extends BaseEntity {

    @JSONField(name = "rowNum")
    private int rowNum;     //行号

    @JSONField(name = "colNum")
    private int colNum;     //列号

    @JSONField(name = "seatNum")
    private int seatNum;    //座位号

    @JSONField(serialize = false)
    private String code;    //订单号

    @JSONField(name = "maxNum")
    private int maxNum;     //最大用户数

    @JSONField(name = "userCount")
    private int userCount;     //用户数量

    @JSONField(name = "flag")
    private boolean flag;     //是否延迟上餐  //true为已延迟

    @JSONField(name = "orderStatus")
    private boolean orderStatus;     //是否全部已点完餐     //true为已点完

    @JSONField(name = "color")
    private int color;     //颜色：1没人2有人3满员

    @JSONField(name = "tableArea")
    private String tableArea;    //区域

    public int getRowNum() {
        return rowNum;
    }

    public void setRowNum(int rowNum) {
        this.rowNum = rowNum;
    }

    public int getColNum() {
        return colNum;
    }

    public void setColNum(int colNum) {
        this.colNum = colNum;
    }

    public int getSeatNum() {
        return seatNum;
    }

    public void setSeatNum(int seatNum) {
        this.seatNum = seatNum;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public int getUserCount() {
        return userCount;
    }

    public void setUserCount(int userCount) {
        this.userCount = userCount;
    }

    public boolean isFlag() {
        return flag;
    }

    public void setFlag(boolean flag) {
        this.flag = flag;
    }

    public int getMaxNum() {
        return maxNum;
    }

    public void setMaxNum(int maxNum) {
        this.maxNum = maxNum;
    }

    public boolean isOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(boolean orderStatus) {
        this.orderStatus = orderStatus;
    }

    public int getColor() {
        return color;
    }

    public void setColor(int color) {
        this.color = color;
    }

	public String getTableArea() {
		return tableArea;
	}

	public void setTableArea(String tableArea) {
		this.tableArea = tableArea;
	}
}
